<!-- 	CASO DE USO CU-NP-CO-124 	-->
<!-- 	Gestionar Texto Motivo		-->
<!-- 	@autor david.cifuentes 		-->


<p:fieldset legend="Gestionar Texto Motivo" toggleable="true"
            toggleSpeed="500" xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:p="http://primefaces.org/ui">


    <h:form id="GestionarDetalleMotivacion">
        <p:fieldset legend="Detalle de Motivación" toggleable="false"
                    toggleSpeed="500">

            <h:panelGrid columns="1" cellspacing="0" width="100%" id="container">

                <p:messages id="msgTextoMotivo" showDetail="false" globalOnly="false" />

                <h:outputLabel value="Plantilla: " styleClass="outputLabelStyle" />

                <h:selectOneMenu id="plantilla"
                                 value="#{proyectarConservacion.modeloResolucionSeleccionado.id}"
                                 required="true">
                    <f:selectItems value="#{proyectarConservacion.titulosResolucion}" />
                    <p:ajax update="considerando, resuelve, msgTextoMotivo"
                            listener="#{proyectarConservacion.establecerConsiderandoYResuelve}" />
                </h:selectOneMenu>

                <br />
                <h:panelGrid columns="4">
                    <p:spacer width="250" height="0" />
                    <h:outputLabel value="C O N S I D E R A N D O "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <p:message for="considerando" display="icon" id="considerandoMsg" />
                </h:panelGrid>

                <h:panelGrid columns="1">
                    <h:outputLabel value="Nota: " styleClass="noteLabelStyle" />

                    <h:outputText
                        value="Por favor, recuerde no pegar texto utilizando las teclas ctrl + v, utilice el componente que se encuentra dentro del editor"
                        styleClass="noteTextStyle" />
                </h:panelGrid>

                <p:editor
                    value="#{proyectarConservacion.modeloResolucionSeleccionado.textoConsiderando}"
                    id="considerando" widgetVar="considerandoWV"
                    width="700"	height="200" controls="bold italic | style |
                    bullets numbering | outdent indent | alignleft justify | undo redo  | 
                    cut copy pastetext | print | source" />

                <br />
                <h:panelGrid columns="4">
                    <p:spacer width="270" height="0" />
                    <h:outputLabel value=" R E S U E L V E "
                                   styleClass="outputLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="1">
                    <h:outputLabel value="Nota: " styleClass="noteLabelStyle" />

                    <h:outputText
                        value="Por favor, recuerde no pegar texto utilizando las teclas ctrl + v, utilice el componente que se encuentra dentro del editor"
                        styleClass="noteTextStyle" />
                </h:panelGrid>

                <p:editor
                    value="#{proyectarConservacion.modeloResolucionSeleccionado.textoResuelve}"
                    id="resuelve" widgetVar="resuelveWV" width="700" height="200"
                    controls="bold italic | style |
                    bullets numbering | outdent indent | alignleft justify | undo redo  | 
                    cut copy pastetext | print | source" />

                <p:outputPanel layout="block" style="text-align:left">
                    <p:spacer height="30" width="10"/>
                    <p:commandButton value="Guardar" id="btnGuardar"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status,args, oficioTextoMotivadoWV, true);"
                                     update="msgTextoMotivo, :tabView1:oficioTextoMotivadoForm"
                                     icon="ui-icon-disk" process="@form"
                                     label="Guardar"
                                     title="Guardar texto motivado"
                                     action="#{proyectarConservacion.guardarTramiteTextoResolucion}">
                    </p:commandButton>	
                </p:outputPanel>
            </h:panelGrid>

        </p:fieldset>
    </h:form>

    <p:dialog header="Resultado trámite texto resolución"
              widgetVar="oficioTextoMotivadoWV" modal="true" appendToBody="true"
              resizable="true" position="center" width="950" height="450">

        <h:form id="oficioTextoMotivadoForm">
            <p:spacer height="5"/>
            <p:fieldset>
                <h:panelGrid columns="1" width="100%">
                    <embed src="#{proyectarConservacion.reporteResoluciones.urlWebReporte}" 
                           width="900" height="400" />
                </h:panelGrid>
            </p:fieldset>
        </h:form>
    </p:dialog>
</p:fieldset>